# Get recurring payment details

This endpoint returns detailed information of a recurring payment in Salesforce. The record is source-specific, so you need to ensure you are referencing the correct object record.
The object may be the FinDock Recurring Payment or Salesforce objects like Recurring Donation or Gift Commitment.

Endpoint: GET /Recurring/{ID}
Version: v2
Security: Salesforce_Production, Salesforce_Sandbox

## Path parameters:

  - `ID` (string, required)
    The record Id or GUID of the recurring payment record to query.
    Example: "a083X00001aUMCnQAO"

## Response 200 fields (application/json):

  - `Url` (string)
    The Salesforce URL of the recurring payment.
    Example: "/services/data/v65.0/sobjects/cpm__Recurring_Payment__c/a0V3X00000RKBZmUAP"

  - `Type` (string)
    The type of recurring payment object used in Salesforce. This can be the FinDock object cpm__Recurring_Payment__c or an object from a source package like Recurring Donation.
    Example: "cpm__Recurring_Payment__c"

  - `SetupUrl` (string)
    The URL to a payment setup page where the payer can update how the recurring payment will be paid.
    Example: "https://link.dev.findock.com/pay/3xxxxmuai2/8897b4da-e48a-7ff3-90dd-ecb65094802c"

  - `PayLinkPage` (string)
    The slug for the payment setup page when multiple PayLinks pages are configured in the org.
    Example: "pageAbcSlug"

  - `PaymentProcessor` (any)
    The name of the payment processor package used to process the recurring payment.
    Example: "PaymentHub-SEPA"

  - `PaymentMethod` (any)
    The name of the payment method used by the recurring payment.
    Example: "DirectDebit"

  - `Id` (string)
    The unique ID of the recurring payment in Salesforce.
    Example: "a0V3X00000RKBZmUAP"

  - `GUID` (string)
    The Salesforce GUID of the recurring payment.
    Example: "sdfasdf-asfads-242134-adsfadf-23423"

  - `Amount` (number)
    The amount to be collected at a specific frequency.
    Example: 25

  - `CurrencyISOCode` (string)
    A valid [ISO 4217 currency code](https://www.iso.org/iso-4217-currency-codes.html). May be required depending on the Salesforce org configuration.
    Example: "EUR"

  - `Frequency` (string)
    The frequency with which installments are collected. e.g. 'Weekly', 'Monthly'. NOTE: The formatting of the frequency options depends on the source connector you provide in the request. Please adjust your values accordingly.
    Example: "Monthly"

  - `RecordTypeName` (string)
    The Salesforce [RecordType](/#salesforce-objects-recordtypes-and-fields) of the recurring payment.
    Example: "Subscription"

  - `StartDate` (string)
    The first date the recurring payment is collected. Format is yyyy-mm-dd.
    Example: "2025-01-01"

  - `EndDate` (string)
    The last date the recurring payment is collected. Format is yyyy-mm-dd.
    Example: "2025-12-01"

  - `Description` (string)
    The text from the description on the recurring payment.
    Example: "Monthly subscription payment"

  - `SourceConnector` (string)
    The source of the recurring payment data.
    Example: "PaymentHub"

## Response 422 fields (application/json):

  - `error_code` (integer, required)
    Example: 999

  - `error_message` (string, required)
    Example: "Recurring record not found: Please check that the supplied Id value is correct."


